Kerbal Space Program - Bug #5181

Certain part combinations overheat depending on global orientation.
06/25/2015 09:37 PM - inigma

Status: Closed Start date: 06/25/2015
Severity: High % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

The Mk3 Cargo Bay appears to be overheating objects near adjacent to its forward belly when its belly is facing east or west on the
launch pad or runway, and only when the bay doors are closed.

Build a Mk3 Cargo Bay in VAB so it is vertical with its belly orientation East or West on launch, attach a girder to the belly, attach
three SAS units to the girder. Rotate and offset girder until the top of the SAS unit stack reaches slightly above the lip of the forward
bay belly.

See test craft file here for demonstration: http://kerbalx.com/inigma/SAS-Heat-Bomb-Bug
See imgur album for documented effect: http:/imgur.com/a/LYWPh

Launch craft.

When craft loads on launch pad or on runway, and if/when the bay doors are closed, and belly is facing east or west, it overheats
objects (in this case a large adv SAS unit) slightly below the lip of the forward belly, whether or clipped or not.

This has the unfortunately effect of blowing up and destabilizing craft launched with cargo bellies in an east-west orientation such as
my STS-6 and STS-6E Space Shuttle: http:/kerbalx.com/inigma/STS-6E-Space-Shuttle

The work around is obvious: reorient the craft in the editor so the cargo belly faces a north-west orientation.

Related issues:

Related to Kerbal Space Program - Bug #5174: Octagonal Strut + TR-2L Ruggediz... Closed 06/24/2015
Related to Kerbal Space Program - Bug #5199: Orbiting Craft Experiences Spont... Closed 07/02/2015
Related to Kerbal Space Program - Bug #5271: Inconsistent thermal behavior in... Closed 07/27/2015
Has duplicate Kerbal Space Program - Bug #5190: Service Bay(2.5m) Cond Flux/O... Duplicate 06/30/2015
Has duplicate Kerbal Space Program - Bug #5305: Craft exploding while passing... Duplicate 08/08/2015
History

#1 - 06/25/2015 09:40 PM - inigma

See also:
http://forum.kerbalspaceprogram.com/threads/126574-1-0-4-Large-SAS-Units-Exploding-Due-to-Overheating-While-Just-Sitting-on-the-Launch-Pad

#2 - 06/25/2015 09:41 PM - inigma

Possibly also related to: http:/forum.kerbalspaceprogram.com/threads/126319-1-0-3-part-heating-bug

#3 - 06/25/2015 09:58 PM - TriggerAu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| can replicate this here with the attached craft file and have seen numerous reports on the forums/reddit of simlar.

#4 - 06/26/2015 03:02 AM - inigma
I made a YouTube video highlighting the bug... and hehe exploiting it. Enjoy! https:/www.youtube.com/watch?v=Su6UxX-OohE
#5 - 06/29/2015 11:09 AM - Squelch
- Related to Bug #5174: Octagonal Strut + TR-2L Ruggedized Vehicular Wheel thermal issue added

#6 - 06/30/2015 03:58 PM - Squelch
- Has duplicate Bug #5190: Service Bay(2.5m) Cond Flux/Overheating added

#7 - 06/30/2015 10:27 PM - Squelch
- File Thermal Runaway.craft added
- File Test 4 - minimal.craft added
- File Test 4 - dynamic.craft added

- Subject changed from Mk3 Cargo Bay Overheating Objects On Launch Pad When Belly Faces East or West when Bay Doors are Closed to Certain
part combinations overheat depending on global orientation.

- Category changed from Parts to Physics

I've been trying to make sense of this phenomenon and can't quite find a common cause. The only factor that does seem apparent is the orientation
of the assembly on the launchpad.

Another report #5190 has come in with very similar results. | have distilled the assembly down to the minimal parts required to trigger the bug, and
attached here.
Test 4 - minimal

Depending on the orientation of the vessel, the docking port will explode. It only explodes when aligned north/south and only with the other attached
parts. Using other parts does not cause the bug. Rotating the craft just a few degrees prevents the bug.

Taking the orientation aspect further, | added enough reaction wheels and power to be able to rotate the vessel in place on the pad. Launching and
immediately rotating the craft does not prevent the overheat.
Test 4 - dynamic

This assembly from #5174 does not have an orientation aspect to it and will explode regardless. Both nodes of the octagonal strut must be occupied,
and either a pair of TR-2L or XL3 wheels attached to the sides.

Thermal Runaway

Clipping does not appear to be a factor but has been avoided. The thermal runaway happens during the day and the night.

Please help us identify which part combinations and orientations trigger this bug? The more examples we have, the better chance of identifying a
common factor.

#8 - 07/03/2015 05:15 PM - Squelch
- Related to Bug #5199: Orbiting Craft Experiences Spontaneous Combustion(1.0.4) added

#9 - 07/13/2015 12:56 PM - boolybooly
- File screenshot37.png added
- File screenshot43.png added

| came here to report an instance of the same kind of bug, with 3x solar panels attached to cubic octagonal strut (COS) adjacent to a HECS probe
core (HECS PC), there is overheating in the panels and the COS then explodes on the launch pad (checked in F3) using x4 time compression. Yet
with two panels there is no heating, with 4x panels overheating is even quicker.

If three COS are attached to the HECS PC and 3x panels are attached to the middle COS overheating occurs but there is no explosion.
Appears to be a cumulative heating imbalance related to solar panel heat production with the panel connection to the COS causing the heat to
accumulate when it should not, plus the COS connection to the adjacent HECS PC causing a cooling conduction failure for some reason which
exacerbates the heat build up enough to cause explosion.

When you attach 6x panels to the HECS probe core it is fine at x4 time warp so it is not the HECS PC itself.

So the girder in the OP might have a comparable issue, apparently some connections do not conduct heat well enough. This applies to the octagonal
strut as well as the cubic octagonal strut.

Screenshot 37 explodes
Screenshot 43 does not explode

#10 - 07/18/2015 06:40 PM - AlonzoTG

Request move to critical. This bug affects any non-trivial orbital construction project. | have a 900 ton, 1,200 part space station and a 1,200 ton, 250
part starship, and several other crafts. It seems to start at some kind of structural node, either stock or mod, and then rapidly affects the entire craft,
with cheat enabled, it will drive temperature of all parts to infinity.
If | go edit the save and set all temp and tempExts' to 100, it will drive back to infinity on game load within two seconds.

This is game-breaking for me, request critical prirority.

#11 - 07/19/2015 09:51 AM - Squelch

AlonzoTG wrote:
Request move to critical. This bug affects any non-trivial orbital construction project.

This is game-breaking for me, request critical prirority.

Raising the priority of this issue does not help identify the cause. Critical is reserved for issues where the game won't start, is missing large chunks of
content, and is commonly reported. This issue, as it stands, only happens under certain uncommon conditions. High is the highest priority this issue
qualifies for. Please be assured, this issue is being investigated.

We do need, and have asked for, the exact conditions this bug appears in. Small parts with low thermal mass can suffer from thermal runaway, and
this aspect has been identified and is being worked on. The orientation aspect for his issue is puzzling, and we do need to identify which parts and
what orientations cause thermal runaway.

Please provide specifics, and where possible, minimal cases where this issue can be reproduced? Savegames and craft files together with
reproduction steps are most welcome.

#12 - 07/27/2015 11:26 AM - Squelch

- Related to Bug #5271 Inconsistent thermal behavior in multiple runs of same re-entry scenario added

#13 - 07/27/2015 08:15 PM - KedwinHubble

My experience with these bugs makes me think that forum user DaMichel was correct in his analysis of the phantom/runaway overheating being
caused by numerical instability. As DaMichel explained:

| have the suspicion that this bug is some sort of numerical instability that occurs with numerical solutions of differential equations when the time
step is chosen too large, i.e. solutions will oscillate to infinity like so
220px-Instability_of_Euler's_method.svg.png
(blue line, obviously)
I think i actually saw some temperature oscillations in my crafts where the bug happened.

| guess KSP uses the simple Euler method to solve the heat transfer equations https://en.wikipedia.org/wiki/Euler_method. Does anyone know?

If this is true, Squad would be better off using backward Euler https:/en.wikipedia.org/wiki/Backward_Euler_method which works with arbitrarily
large time steps. It would require the solution of a matrix equation for each step but that cost could be spread over several frames by solving only
every couple of frames.

http://forum.kerbalspaceprogram.com/threads/126664-MAJOR-Heating-Bug/page3?p=2070775#post2070775

My experience with this bug makes me think this is the problem. When | encounter this bug, the thermal readouts fluctuate wildly as temperatures
quickly go off the scales.

#14 - 07/27/2015 08:18 PM - KedwinHubble

Also, I've found lowering the conductive factor in thermal physics debug menu works around the issue, fwiw.

#15 - 07/28/2015 10:20 AM - yorshee
- File overheating.zip added
I'm new to the bugtracker so | hope I'm doing this right.

Yesterday | wrote a bug report for this bug, but | hadn't searched well enough to see that it's already been reported here so I'll repost my observations
about the bug here.

This is a bug I've seen a lot before, and it happens to me in both the stock game and with mods.
Sometimes, some parts will overheat and explode instantly for no reason. This has most recently happened to me on a mission to Duna, | decoupled
the transfer stage to land with just my lander (which | forgot the legs on, oops!) and the decoupler that attached the command pod to the lander

exploded due to overheating, despite the craft going at around 6m/s. | know it's overheating because | checked the F3 flight log and that's what it said.

If | enable the debug menu's 'lgnore max temperature' and then decouple the transfer stage, | can see a sudden rapid temperature rise in every part
of the craft, | assume it originates from the buggy decoupler.

| said I've experienced this bug a lot, so I'll tell you what | think is causing it - | can get this bug to consistently happen when there are small parts
clipped into other small parts, even if the attachment nodes allow it and | haven't even touched the offset tool at all. | can get this to happen all the
time with docking ports inside the small Rockomax adapter (the docking port model clips inside the adapter) and with the Duna mission glitch |
explained, | think it's happening because the decoupler is clipped inside a heatshield that's attached to the pod. This might not be the case though -
this is just a hunch | have.

I've attached a .zip file of an entire save file that you can use to re-create this glitch for yourself. The save file comes with two stock crafts that both
experience the glitch (if I've accidentally used a part that isn't in the stock game, let me know and I'll update the craft file). Here's a video of the bug in
action: https://youtu.be/c-hhwFJRZmM You can re-create these events with the save file.

#16 - 08/08/2015 01:00 PM - Squelch
- Has duplicate Bug #5305: Craft exploding while passing over southpole added

#17 - 08/08/2015 02:57 PM - rudi1291
- File Player.log added

As noted in Bug #5305, http:/forum.kerbalspaceprogram.com/threads/129800-Craft-exploding-while-passing-over-poles?p=2126521#post2126521
might be related.

Summary: Crafts passing over the south pole overheat instantly and explode. Because you need to be pretty accurate setting up your polar orbit and
this only happens if the craft is active, chances of hitting this by accident are pretty low.

This image http://i.imgur.com/1agh939.jpg ("lgnore Max Temp") seems to indicate a runaway heat iusse. | also attached a log file.

#18 - 08/11/2015 07:07 AM - featherwinglove

Just had 5305/5181 explosion with first polar orbit satellite in this game; very different craft and intstallation from rudi's. To reproduce, load up the
attached game and log into the craft Satellite 1 approaching the south pole. Polar inclination error is 0.00723deg, which is not a record for me. The
craft has no mod parts, so it should do it in a vanilla intstallation.

Doesn't want to upload here, so: Link removed

Just the screenshots: http://imgur.com/a/LLM5m

#19 - 08/11/2015 07:40 AM - Squelch

featherwinglove wrote:
Just had 5305/5181 explosion with first polar orbit satellite in this game; very different craft and intstallation from rudi's. To reproduce, load up
the attached game and log into the craft Satellite 1 approaching the south pole. Polar inclination error is 0.00723deg, which is not a record for
me. The craft has no mod parts, so it should do it in a vanilla intstallation.

Doesn't want to upload here, so: Link removed

Just the screenshots: http://imgur.com/a/LLM5m

Your link looks a little strange. An exe double zipped, and is flagged as containing malware. | have removed the link to prevent others from getting
infected.

Please check your system! Please could you simply attach the files individually using the "Choose Files" button?

#20 - 08/13/2015 09:34 AM - featherwinglove
- File persistent.sfs added

- File quicksave #1.sfs added

| uploaded an ordinary zip file. When you try to download it, make sure anything marked "accelerator" is unchecked; that's usually what it is in my
experience across a great many sites. The zip file is 4093K. The persistent.sfs file attached | think. Let me know if you need anything else.

Since then, I've done a test in a sandbox game to determine if the effect is similar to solar heating in a craft called "Solar Polar Explodar" in the
quicksave #1 file, using a 3.75m heatshield to shade an otherwise 1.25m spacecraft. After deploying the thermal alpaca from Alt-F12 to keep it from
explodaring, | found the opposite was the case: relative temperature colors from Hot Spot showed the engine, right at the back, to be hottest at at
least 3.5E+35 K (2900x Planck Temperature) initially. As it cooled down, | noticed some very odd behaviours:

- temperatures would go down by an order of magnitude roughly every 6 minutes of game time at 4X time acceleration. (A similar craft orbiting Earth
in real-life made of appropriate handwavium to survive and radiate properly at these temperatures would probably cool to a few hundred thousand K
in the first frame- er. 0.04sec, emitting enough energy to vaporize the entire solar system, and confuse the heck out of my friend in M87 who has a
gamma ray telescope similar to Fermi.)

- the difference between skin and internal temperatures was a constant factor depending on the part and time acceleration. This corrected at about
4000K as the craft cooled. At faster time acceleration, the difference would be smallest and the cooling rates highest. (Conductive heat transfer rates
go as the difference in temperature, so, given the first point wackiness, this is probably normal other than the time acceleration effects.)

- Above about 30000K (much less for the large radiators), anomalous internal heat was generated, especially at 5x and greater time accelerations.
Before cooling to about 20000K craft average (I didn't explore this exhaustively), going to 5x or higher time acceleration caused temperatures to
increase. This and the previous point is why | ran most of the cooling at 4X.

- Above about 1600K (high normal temperatures), the large radiator generated an anomalous 12500kW internal heat when deployed. For most of the
final phase of cooling, it worked better stowed as a result! As it cooled below 1600K, this 12.5MW internal heating would flicker on and off between
zero and 12.5MW, never a value between. Internal rates on other parts, and when the radiators were absurdly hot, didn't quantize like this as far as |

could tell.

- You've probably figured out that | did a maneuver to avoid the poles a quarter of an orbit after the first polar encounter.

#21 - 08/17/2015 05:53 AM - featherwinglove
- File screenshot71.png added

This the simplest case I've noticed so far of a surface temperature freezing up. The craft is a Mk1 Command Pod topped by an OCTO topped by a
Mk16 parachute. (It's a rescue/tourism craft returning to Kerbin after just under half an orbit; | could easily beat the "Satellite Catch" reddit challenge if
| gave enough of a [insert favorite derogative].) Numbers are exposed by Hot Spot, and as you can see from all the KER HUDs, I'm taking full
advantage of the latest version of Kerbal Engineer. The parachute is selected in preparation for chute opening. The radiative cooling from this part is
3.34kW, which strikes me as rather high just by instinct. But | can do math. The exposed surface area is 0.415m2 max, and the emissivity given in
the part file is 0.7, enough that spectralcalc.com can give me pretty precise numbers. With the given surface temperature, it should be radiating
253.8W. At the internal temperature of 411.97K, it should be 474.5W. The temperature needed to radiate the displayed value is 671.03K. As for the
tiny value displayed by KER, which is (I think) supposed to be the whole craft, 48.37W, the parachute on its own would need to be a frigid 186.84K to
radiate that on its own (I've only seen kerbals get that cold: for whatever reason, they pop out of the hatch into EVA at absolute zero.) If you need
help with the math, | know some of the equations and know how to find the rest, but Fractal_UK, if you can find him, probably has them memorized.

#23 - 10/10/2015 09:44 AM - Val
- File Hyperheat.craft added

| found a part combination, that overheats no matter the orientation or root part. A closed CRG-50 cargo bay with ADTP-2-3s on each end, and fuel

tanks on the ADTP-2-3s or other parts with high thermal mass.
Video: https://www.youtube.com/watch?v=UchYJPtyCyE
Pic: http://i.imgur.com/uUPPzpk

Logs: https://drive.google.com/file/d/0B34u1G2080ndU1JDR11JbkptTWe/view

#24 - 11/17/2015 12:29 AM - Squelch
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

All test cases have now been fixed. Thank you to all that provided valuable information in tracing this down.

#25 - 07/17/2016 09:19 AM - TriggerAu

- Status changed from Resolved to Closed
